﻿-- Author      : RisM
-- Create Date : 6/28/2009 3:48:10 PM

SpeakinSpell = LibStub("AceAddon-3.0"):GetAddon("SpeakinSpell")
local L	= LibStub("AceLocale-3.0"):GetLocale("SpeakinSpell", false)

-------------------------------------------------------------------------------
-- DEBUG MESSAGES
-------------------------------------------------------------------------------


function SpeakinSpell:Print(message)
	-- Overriding AceConsole-3.0:Print to use localized addon name instead of tostring(self)
	local text = "|cff33ff99"..--[[tostring( self )]] L["SpeakinSpell"].."|r: " .. message
	DEFAULT_CHAT_FRAME:AddMessage( text )
end


function SpeakinSpell:DebugMsg(funcname, message)
	if SpeakinSpellSavedData and SpeakinSpellSavedData.ShowDebugMessages then
		if funcname then
			self:Print(funcname.."() - "..message)
		else
			self:Print(message)
		end
	end
end


function SpeakinSpell:ErrorMsg(funcname, message)
	self:Print("ERROR: "..funcname.."() - "..message)
end


function SpeakinSpell:DebugMsgDumpString(name, value)
	self:DebugMsg( nil, string.format("%s=%s", tostring(name), tostring(value)) )
end


function SpeakinSpell:DebugMsgDumpBool(name, value)
	if value then
		self:DebugMsg(nil, name.."=true")
	else
		self:DebugMsg(nil, name.."=false")
	end
end


function SpeakinSpell:DebugMsgDumpTable(Table, name)
	for k,v in pairs(Table) do
		if type(v) == "table" then
			self:DebugMsgDumpTable(v, name.."."..tostring(k))
		else
			self:DebugMsg( nil, name.."["..k.."]".."="..tostring(v) )
		end
	end
end

